E-MailRelay

Public Attributes | List of all members
GSmtp::ClientProtocol::DoneInfo Struct Reference

Parameters for GSmtp::ClientProtocol::doneSignal() More...

`#include <gsmtpclientprotocol.h>`

Collaboration diagram for GSmtp::ClientProtocol::DoneInfo:
[legend]

## Public Attributes
int | response_code
std::string | response
std::string | reason
G::StringArray | rejects

## Detailed Description

Parameters for GSmtp::ClientProtocol::doneSignal()

Definition at line 113 of file gsmtpclientprotocol.h.

## Member Data Documentation

## ◆ reason

std::string GSmtp::ClientProtocol::DoneInfo::reason

Definition at line 117 of file gsmtpclientprotocol.h.

## ◆ rejects

G::StringArray GSmtp::ClientProtocol::DoneInfo::rejects

Definition at line 118 of file gsmtpclientprotocol.h.

## ◆ response

std::string GSmtp::ClientProtocol::DoneInfo::response

Definition at line 116 of file gsmtpclientprotocol.h.

## ◆ response_code

int GSmtp::ClientProtocol::DoneInfo::response_code

Definition at line 115 of file gsmtpclientprotocol.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gsmtpclientprotocol.h